Subject: [PATCH v2 5/5] colibri-pxa3xx: add touchscreen support

From: [email-masked] (Arnd Bergmann)
Date: Fri, 9 Jul 2010 19:25:39 +0200

On Friday 09 July 2010, pieterg wrote:
> Note that this would not happen normally.
> The concern was raised as to what would happen if the user accidentally put 
> two different AC97/touchscreen controllers in the kernelconfig, while there 
> is only one AC97 interface.
> And my observation is that nothing serious happens in that case.

Yes, I understand that it's not serious. I'm arguing instead that it's still
wrong. If you ship a kernel with support for two dozen different controllers,
you certainly wouldn't want to list them all as present devices and
have to go through loading each driver at boot time, just to find that
they are not actually present.

	Arnd